package com.fjhx.account.entity.account.dto;

import com.fjhx.account.entity.account.po.AccountRunningWater;
import com.fjhx.account.entity.tax.po.TaxRefundDetails;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 账户资金流水表新增编辑入参实体
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
public class AccountRunningWaterDto extends AccountRunningWater {

    /**
     * 退税合同明细列表
     */
    List<TaxRefundDetails> taxRefundDetailsList;

}
