package com.fjhx.account.entity.transaction.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 往来管理
 * </p>
 *
 * @author
 * @since 2023-06-26
 */
@Getter
@Setter
@TableName("transaction")
public class Transaction extends BasePo {

    /**
     * 往来单位
     */
    private Long departmentId;

    /**
     * 往来类型 0收入 1支出
     */
    private Integer type;

    /**
     * 币种（字典account_currency）
     */
    private String currency;

    /**
     * 往来金额
     */
    private String amount;

    /**
     * 是否流水 1是 0否
     */
    private String isFlowingWater;

    /**
     * 往来账户
     */
    private Long accountId;

    /**
     * 备注
     */
    private String remark;

}
