package com.fjhx.account.mapper.transaction;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.transaction.po.TransactionDepartment;
import com.fjhx.account.entity.transaction.vo.TransactionDepartmentVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 往来单位 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-06-26
 */
public interface TransactionDepartmentMapper extends BaseMapper<TransactionDepartment> {

    /**
     * 往来单位分页
     */
    Page<TransactionDepartmentVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<TransactionDepartment> wrapper);

}
