package com.fjhx.account.mapper.transaction;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.transaction.po.Transaction;
import com.fjhx.account.entity.transaction.vo.TransactionVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 往来管理 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-06-26
 */
public interface TransactionMapper extends BaseMapper<Transaction> {

    /**
     * 往来管理分页
     */
    Page<TransactionVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Transaction> wrapper);

}
