package com.fjhx.account.mapper.write;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.write.po.WriteOffRecords;
import com.fjhx.account.entity.write.vo.WriteOffRecordsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 冲销记录表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
public interface WriteOffRecordsMapper extends BaseMapper<WriteOffRecords> {

    /**
     * 冲销记录表分页
     */
    Page<WriteOffRecordsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<WriteOffRecords> wrapper);

}
