package com.fjhx.account.service.transaction;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.transaction.dto.TransactionDto;
import com.fjhx.account.entity.transaction.dto.TransactionSelectDto;
import com.fjhx.account.entity.transaction.po.Transaction;
import com.fjhx.account.entity.transaction.vo.TransactionVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 往来管理 服务类
 * </p>
 *
 * @author
 * @since 2023-06-26
 */
public interface TransactionService extends BaseService<Transaction> {

    /**
     * 往来管理分页
     */
    Page<TransactionVo> getPage(TransactionSelectDto dto);

    /**
     * 往来管理新增
     */
    void add(TransactionDto transactionDto);

}
