package com.fjhx.account.service.write;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.write.dto.WriteOffRecordsDto;
import com.fjhx.account.entity.write.dto.WriteOffRecordsSelectDto;
import com.fjhx.account.entity.write.po.WriteOffRecords;
import com.fjhx.account.entity.write.vo.WriteOffRecordsVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 冲销记录表 服务类
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
public interface WriteOffRecordsService extends BaseService<WriteOffRecords> {

    /**
     * 冲销记录表分页
     */
    Page<WriteOffRecordsVo> getPage(WriteOffRecordsSelectDto dto);

    /**
     * 冲销记录表新增
     */
    void add(WriteOffRecordsDto writeOffRecordsDto);

}
