package com.fjhx.common.entity.on.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 在线时长信息
 * </p>
 *
 * @author
 * @since 2023-08-08
 */
@Getter
@Setter
@TableName("on_line_info")
public class OnLineInfo extends BasePo {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 每日在线时长（秒）
     */
    private Long onLineDuration;

    /**
     * 在线日期
     */
    private Date onLineDate;

    /**
     * 最后一次在线时间
     */
    private Date lastOnlineTime;

    /**
     * 租户id
     */
    private String tenantId;

}
