package com.fjhx.common.mapper.employee;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.employee.po.EmployeeHandover;
import com.fjhx.common.entity.employee.vo.EmployeeHandoverVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 员工交接 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-17
 */
public interface EmployeeHandoverMapper extends BaseMapper<EmployeeHandover> {

    /**
     * 员工交接分页
     */
    Page<EmployeeHandoverVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EmployeeHandover> wrapper);

}
