package com.fjhx.common.mapper.on;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.common.entity.on.po.OnLineInfo;
import com.fjhx.common.entity.on.vo.OnLineInfoVo;

import java.util.List;


/**
 * <p>
 * 在线时长信息 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-08-08
 */
public interface OnLineInfoMapper extends BaseMapper<OnLineInfo> {

    /**
     * 获取7天内的在线时长
     */
    Long getOnLineTimeByUserId(Long userId);

    List<OnLineInfoVo> getOnLineTimeByDeptIds(List<Long> deptIds);

}
