package com.fjhx.customer.entity.customer.vo;

import com.fjhx.customer.entity.customer.po.CustomerFollowRecords;
import com.fjhx.file.entity.ObsFile;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 客户跟进记录列表查询返回值实体
 *
 * @author
 * @since 2023-05-05
 */
@Getter
@Setter
public class CustomerFollowRecordsVo extends CustomerFollowRecords {
    /**
     * 文件列表
     */
    private List<ObsFile> fileList;

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 合同金额
     */
    private BigDecimal amount;
    /**
     * 合同编号
     */
    private String contractCode;
    /**
     * 跟进类型
     */
    private String type;

    /**
     * 跟进人名称
     */
    private String followUpUserName;

    /**
     * 报价单code
     */
    private String code;
}
