package com.fjhx.purchase.mapper.sales;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.sales.po.SalesReturn;
import com.fjhx.purchase.entity.sales.vo.SalesReturnVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 退货 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-11
 */
public interface SalesReturnMapper extends BaseMapper<SalesReturn> {

    /**
     * 退货分页
     */
    Page<SalesReturnVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SalesReturn> wrapper);

    List<SalesReturn> getListBySupplyId(@Param("supply_id") Long supply_id);

}
