package com.fjhx.sale.entity.after.vo;

import com.fjhx.sale.entity.after.po.AfterSalesDetail;
import lombok.Getter;
import lombok.Setter;

/**
 * 售后明细列表查询返回值实体
 *
 * @author
 * @since 2023-07-20
 */
@Getter
@Setter
public class AfterSalesDetailVo extends AfterSalesDetail {

    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 合同id
     */
    private Long contractId;
    /**
     * 合同编号
     */
    private String contractCode;
    /**
     * 售后类型
     */
    private String type;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品规格
     */
    private String productSpec;

    /**
     * 产品规格
     */
    private String productUnit;

}
