package com.fjhx.sale.entity.intermediate.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 中间合同
 * </p>
 *
 * @author
 * @since 2023-06-28
 */
@Getter
@Setter
@TableName("intermediate_contract")
public class IntermediateContract extends BasePo {

    /**
     * 单证id
     */
    private Long documentsId;

    /**
     * 卖方公司ID
     */
    private Long sellCorporationId;

    /**
     * 卖方联系人名称
     */
    private String sellContactName;

    /**
     * 卖方联系人电话
     */
    private String sellContactNumber;

    /**
     * 买方公司ID
     */
    private Long buyCorporationId;

    /**
     * 买方联系人名称
     */
    private String buyContactName;

    /**
     * 买方联系人电话
     */
    private String buyContactNumber;

}
