package com.fjhx.sale.mapper.after;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.after.po.AfterSalesRecords;
import com.fjhx.sale.entity.after.vo.AfterSalesRecordsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 售后跟进记录 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-20
 */
public interface AfterSalesRecordsMapper extends BaseMapper<AfterSalesRecords> {

    /**
     * 售后跟进记录分页
     */
    Page<AfterSalesRecordsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AfterSalesRecords> wrapper);

}
