package com.fjhx.wms.entity.monthly;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class MonthlyInventoryReportExcel {
    @ColumnWidth(15)
    @ExcelProperty("仓库名称")
    private String warehouseName;
    @ColumnWidth(15)
    @ExcelProperty("物品编码")
    private String productCode;
    @ColumnWidth(20)
    @ExcelProperty("物品名称")
    private String productName;
    @ColumnWidth(15)
    @ExcelProperty("规格型号")
    private String productSpec;
    @ColumnWidth(15)
    @ExcelProperty("单位")
    private String productUnit;
    @ColumnWidth(15)
    @ExcelProperty("初期数量")
    private String initialQuantity;
    @ColumnWidth(15)
    @ExcelProperty("入库数量")
    private String receiptQuantity;
    @ColumnWidth(15)
    @ExcelProperty("出库数量")
    private String outboundQuantity;
    @ColumnWidth(15)
    @ExcelProperty("结存数量")
    private String balanceQuantity;
    @ColumnWidth(15)
    @ExcelProperty("结存单价")
    private String balanceUnitPrice;
    @ColumnWidth(15)
    @ExcelProperty("结存金额")
    private String balanceAmount;
}
