package com.fjhx.wms.mapper.stock;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.po.StockJournal;
import com.fjhx.wms.entity.stock.vo.StockJournalVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 出入库记录 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
public interface StockJournalMapper extends BaseMapper<StockJournal> {

    /**
     * 出入库记录分页
     */
    Page<StockJournalVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockJournal> wrapper);

}
