package com.fjhx.account.controller.tax;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.tax.dto.TaxRefundDetailsSelectDto;
import com.fjhx.account.entity.tax.vo.TaxRefundDetailsVo;
import com.fjhx.account.service.tax.TaxRefundDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 退税明细表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@RestController
@RequestMapping("/taxRefundDetails")
public class TaxRefundDetailsController {

    @Autowired
    private TaxRefundDetailsService taxRefundDetailsService;

    /**
     * 退税明细表分页
     */
    @PostMapping("/page")
    public Page<TaxRefundDetailsVo> page(@RequestBody TaxRefundDetailsSelectDto dto) {
        return taxRefundDetailsService.getPage(dto);
    }

}
