package com.fjhx.account.entity.write.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 冲销记录表
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
@Getter
@Setter
@TableName("write_off_records")
public class WriteOffRecords extends BasePo {

    /**
     * 打款id
     */
    private Long accountPaymentId;

    /**
     * 打款时间
     */
    private Date accountPaymentDate;

    /**
     * 冲销原因
     */
    private String remark;

}
