package com.fjhx.account.entity.write.vo;

import com.fjhx.account.entity.write.po.WriteOffRecords;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 冲销记录表列表查询返回值实体
 *
 * @author
 * @since 2023-07-12
 */
@Getter
@Setter
public class WriteOffRecordsVo extends WriteOffRecords {

    /**
     * 归属公司
     */
    private Long corporationId;
    /**
     * 数据来源
     */
    private Integer type;
    /**
     * 合同编号列表
     */
    private String contractCodes;
    /**
     * 申请时间
     */
    private Date applicationTime;
    /**
     * 申请金额
     */
    private BigDecimal amount;
    /**
     * 币种
     */
    private String currency;
    /**
     * 打款业务id
     */
    private Long businessId;

    /**
     * 归属公司名称
     */
    private String corporationName;
    /**
     * 冲销人名称
     */
    private String WriteOffUserName;

}
