package com.fjhx.account.service.tax;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.tax.dto.TaxRefundDetailsSelectDto;
import com.fjhx.account.entity.tax.po.TaxRefundDetails;
import com.fjhx.account.entity.tax.vo.TaxRefundDetailsVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 退税明细表 服务类
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
public interface TaxRefundDetailsService extends BaseService<TaxRefundDetails> {

    /**
     * 退税明细表分页
     */
    Page<TaxRefundDetailsVo> getPage(TaxRefundDetailsSelectDto dto);

    /**
     * 获取总退税金额
     * @param contractIds
     * @return
     */
    List<TaxRefundDetails> getSumMoneyByContractIds(List<Long> contractIds);
}
