package com.fjhx.common.controller.on;

import com.fjhx.common.entity.on.vo.OnLineInfoReturnData;
import com.fjhx.common.service.on.OnLineInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 在线时长信息 前端控制器
 * </p>
 *
 * @author
 * @since 2023-08-08
 */
@RestController
@RequestMapping("/onLineInfo")
public class OnLineInfoController {

    @Autowired
    private OnLineInfoService onLineInfoService;

    @GetMapping("/info")
    OnLineInfoReturnData onLineInfo() {
        return onLineInfoService.onLineInfo();
    }

}
