package com.fjhx.common.entity.employee.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 员工交接
 * </p>
 *
 * @author
 * @since 2023-07-17
 */
@Getter
@Setter
@TableName("employee_handover")
public class EmployeeHandover extends BasePo {

    /**
     * 交接人id
     */
    private Long handoverPersonId;

    /**
     * 接收人id
     */
    private Long recipientId;

    /**
     * 交接原因
     */
    private String reason;

    /**
     * 交接内容(逗号分隔)
     */
    private String content;

    /**
     * 备注
     */
    private String remark;

}
