package com.fjhx.common.service.employee;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.employee.dto.EmployeeHandoverDto;
import com.fjhx.common.entity.employee.dto.EmployeeHandoverSelectDto;
import com.fjhx.common.entity.employee.po.EmployeeHandover;
import com.fjhx.common.entity.employee.vo.EmployeeHandoverVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 员工交接 服务类
 * </p>
 *
 * @author
 * @since 2023-07-17
 */
public interface EmployeeHandoverService extends BaseService<EmployeeHandover> {

    /**
     * 员工交接分页
     */
    Page<EmployeeHandoverVo> getPage(EmployeeHandoverSelectDto dto);

    /**
     * 员工交接新增
     */
    void add(EmployeeHandoverDto employeeHandoverDto);

}
