package com.fjhx.customer.service.customer;

import com.fjhx.common.service.CommService;
import com.fjhx.customer.entity.customer.po.Customer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CommServiceImpl implements CommService {

    @Autowired
    private CustomerService customerService;

    /**
     * 更新客户业务员
     */
    @Override
    public void updateCustomerSalesperson(Long handoverPersonId, Long recipientId) {
        customerService.update(q -> q.eq(Customer::getUserId, handoverPersonId).set(Customer::getUserId, recipientId));
    }
}
