package com.fjhx.form.controller.employee;

import com.fjhx.form.entity.dto.EmployeeAnalysisDto;
import com.fjhx.form.service.employee.EmployeeAnalysisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 员工分析 前端控制器
 */
@RestController
@RequestMapping("/employeeAnalysis")
public class EmployeeAnalysisController {

    @Autowired
    private EmployeeAnalysisService employeeAnalysisService;

    /**
     * 员工分析
     *
     * @return
     */
    @PostMapping("/info")
    public Map<String, Object> info(@RequestBody EmployeeAnalysisDto dto) {
        return employeeAnalysisService.info(dto);
    }
}
