package com.fjhx.sale.entity.contract.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 外销合同-产品列表查询入参实体
 *
 * @author 
 * @since 2023-04-17
 */
@Getter
@Setter
public class ContractProductSelectDto extends BaseSelectDto {

    private String ids;

    /**
     * 订单类型
     */
    private String orderType;

    /**
     * 质检状态
     */
    private String qualityStatus;

    /**
     * 结论
     */
    private String summary;

    /**
     * 所属公司id过滤
     */
    private Long corporationId;

    /**
     * 是否到账 1是 0否过滤
     */
    private Integer isReceived;

    /**
     * 数据类型
     */
    private Integer dataType;

    /**
     * 采购状态
     */
    private Integer purchaseStatus;
}
