package com.fjhx.sale.entity.pack.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 装箱出货产品明细表
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("pack_detail_product")
public class PackDetailProduct extends BasePo {

    /**
     * 装箱明细ID
     */
    private Long packDetailId;

    /**
     * 合同ID
     */
    private Long contractId;

    /**
     * 合同产品ID
     */
    private Long contractProductId;

    /**
     * 装箱数量
     */
    private BigDecimal quantity;

    /**
     * 产品ID
     */
    private Long productId;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品规格型号
     */
    private String productModel;

    /**
     * 备注
     */
    private String remark;
}
