package com.fjhx.sale.mapper.after;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.after.po.AfterSalesDetail;
import com.fjhx.sale.entity.after.vo.AfterSalesDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 售后明细 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-20
 */
public interface AfterSalesDetailMapper extends BaseMapper<AfterSalesDetail> {

    /**
     * 售后明细分页
     */
    Page<AfterSalesDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AfterSalesDetail> wrapper);

}
