package com.fjhx.sale.service;

import cn.hutool.core.bean.BeanUtil;
import com.fjhx.sale.entity.contract.po.Contract;
import com.fjhx.sale.service.contract.ContractService;
import com.fjhx.wms.entity.contract.po.ContractPo;
import com.fjhx.wms.service.MySaleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MySaleServiceImpl implements MySaleService {

    @Autowired
    private ContractService contractService;

    @Override
    public ContractPo getContractInfo(Long id) {
        Contract contract = contractService.getById(id);
        return BeanUtil.copyProperties(contract, ContractPo.class);
    }
}
