package com.fjhx.sale.service.after;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.after.dto.AfterSalesDetailDto;
import com.fjhx.sale.entity.after.dto.AfterSalesDetailSelectDto;
import com.fjhx.sale.entity.after.po.AfterSalesDetail;
import com.fjhx.sale.entity.after.vo.AfterSalesDetailVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 售后明细 服务类
 * </p>
 *
 * @author
 * @since 2023-07-20
 */
public interface AfterSalesDetailService extends BaseService<AfterSalesDetail> {

    /**
     * 售后明细分页
     */
    Page<AfterSalesDetailVo> getPage(AfterSalesDetailSelectDto dto);

    /**
     * 售后管理编辑
     */
    void edit(AfterSalesDetailDto afterSalesDetailDto);

    /**
     * 售后退货
     */
    void salesReturn(AfterSalesDetailDto afterSalesDetailDto);

    /**
     * 售后换货
     */
    void salesReplace(AfterSalesDetailDto afterSalesDetailDto);

    /**
     * 销售发起采购
     */
    void initPurchase(AfterSalesDetailDto afterSalesDetailDto);

}
