package com.fjhx.sale.service.after;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.after.dto.AfterSalesRecordSelectDto;
import com.fjhx.sale.entity.after.dto.AfterSalesRecordsDto;
import com.fjhx.sale.entity.after.po.AfterSalesRecords;
import com.fjhx.sale.entity.after.vo.AfterSalesRecordsVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 售后跟进记录 服务类
 * </p>
 *
 * @author
 * @since 2023-07-20
 */
public interface AfterSalesRecordsService extends BaseService<AfterSalesRecords> {

    /**
     * 售后跟进记录分页
     */
    Page<AfterSalesRecordsVo> getPage(AfterSalesRecordSelectDto dto);

    /**
     * 售后跟进记录新增
     */
    void add(AfterSalesRecordsDto afterSalesRecordDto);

}
