package com.fjhx.wms.entity.monthly.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 月度库存报表列表查询入参实体
 *
 * @author
 * @since 2023-07-05
 */
@Getter
@Setter
public class MonthlyInventoryReportSelectDto extends BaseSelectDto {

    /**
     * 年过滤
     */
    private Integer year;

    /**
     * 月过滤
     */
    private Integer month;

    /**
     * 仓库id
     */
    private Long warehouseId;

}
