package com.fjhx.wms.entity.stock.vo;

import com.fjhx.wms.entity.stock.po.StockJournal;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 出入库记录列表查询返回值实体
 *
 * @author
 * @since 2023-03-20
 */
@Getter
@Setter
public class StockJournalVo extends StockJournal {

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 操作人名称
     */
    private String userName;

    /**
     * 出入库流水明细
     */
    private List<StockJournalDetailsVo> list;

    /**
     * 公司名称
     */
    private String corporateName;
    /**
     * 单号
     */
    private String code;

    /**
     * 币种
     */
    private String currency;

}
